Loading...
Searching...
No Matches
AVHDRPlusColorTransformParams Struct Reference

Color transform parameters at a processing window in a dynamic metadata for SMPTE 2094-40. More...

`#include <libavutil/hdr_dynamic_metadata.h>`

## Data Fields

AVRational | window_upper_left_corner_x
| The relative x coordinate of the top left pixel of the processing window.
AVRational | window_upper_left_corner_y
| The relative y coordinate of the top left pixel of the processing window.
AVRational | window_lower_right_corner_x
| The relative x coordinate of the bottom right pixel of the processing window.
AVRational | window_lower_right_corner_y
| The relative y coordinate of the bottom right pixel of the processing window.
uint16_t | center_of_ellipse_x
| The x coordinate of the center position of the concentric internal and external ellipses of the elliptical pixel selector in the processing window.
uint16_t | center_of_ellipse_y
| The y coordinate of the center position of the concentric internal and external ellipses of the elliptical pixel selector in the processing window.
uint8_t | rotation_angle
| The clockwise rotation angle in degree of arc with respect to the positive direction of the x-axis of the concentric internal and external ellipses of the elliptical pixel selector in the processing window.
uint16_t | semimajor_axis_internal_ellipse
| The semi-major axis value of the internal ellipse of the elliptical pixel selector in amount of pixels in the processing window.
uint16_t | semimajor_axis_external_ellipse
| The semi-major axis value of the external ellipse of the elliptical pixel selector in amount of pixels in the processing window.
uint16_t | semiminor_axis_external_ellipse
| The semi-minor axis value of the external ellipse of the elliptical pixel selector in amount of pixels in the processing window.
enum AVHDRPlusOverlapProcessOption | overlap_process_option
| Overlap process option indicates one of the two methods of combining rendered pixels in the processing window in an image with at least one elliptical pixel selector.
AVRational | maxscl [3]
| The maximum of the color components of linearized RGB values in the processing window in the scene.
AVRational | average_maxrgb
| The average of linearized maxRGB values in the processing window in the scene.
uint8_t | num_distribution_maxrgb_percentiles
| The number of linearized maxRGB values at given percentiles in the processing window in the scene.
AVHDRPlusPercentile | distribution_maxrgb [15]
| The linearized maxRGB values at given percentiles in the processing window in the scene.
AVRational | fraction_bright_pixels
| The fraction of selected pixels in the image that contains the brightest pixel in the scene.
uint8_t | tone_mapping_flag
| This flag indicates that the metadata for the tone mapping function in the processing window is present (for value of 1).
AVRational | knee_point_x
| The x coordinate of the separation point between the linear part and the curved part of the tone mapping function.
AVRational | knee_point_y
| The y coordinate of the separation point between the linear part and the curved part of the tone mapping function.
uint8_t | num_bezier_curve_anchors
| The number of the intermediate anchor parameters of the tone mapping function in the processing window.
AVRational | bezier_curve_anchors [15]
| The intermediate anchor parameters of the tone mapping function in the processing window in the scene.
uint8_t | color_saturation_mapping_flag
| This flag shall be equal to 0 in bitstreams conforming to this version of this Specification.
AVRational | color_saturation_weight
| The color saturation gain in the processing window in the scene.

## Detailed Description

Color transform parameters at a processing window in a dynamic metadata for SMPTE 2094-40.

Definition at line 59 of file hdr_dynamic_metadata.h.

## Field Documentation

## window_upper_left_corner_x

AVRational AVHDRPlusColorTransformParams::window_upper_left_corner_x

The relative x coordinate of the top left pixel of the processing window.

The value shall be in the range of 0 and 1, inclusive and in multiples of 1/(width of Picture - 1). The value 1 corresponds to the absolute coordinate of width of Picture - 1. The value for first processing window shall be 0.

Definition at line 67 of file hdr_dynamic_metadata.h.

## window_upper_left_corner_y

AVRational AVHDRPlusColorTransformParams::window_upper_left_corner_y

The relative y coordinate of the top left pixel of the processing window.

The value shall be in the range of 0 and 1, inclusive and in multiples of 1/(height of Picture - 1). The value 1 corresponds to the absolute coordinate of height of Picture - 1. The value for first processing window shall be 0.

Definition at line 76 of file hdr_dynamic_metadata.h.

## window_lower_right_corner_x

AVRational AVHDRPlusColorTransformParams::window_lower_right_corner_x

The relative x coordinate of the bottom right pixel of the processing window.

The value shall be in the range of 0 and 1, inclusive and in multiples of 1/(width of Picture - 1). The value 1 corresponds to the absolute coordinate of width of Picture - 1. The value for first processing window shall be 1.

Definition at line 85 of file hdr_dynamic_metadata.h.

## window_lower_right_corner_y

AVRational AVHDRPlusColorTransformParams::window_lower_right_corner_y

The relative y coordinate of the bottom right pixel of the processing window.

The value shall be in the range of 0 and 1, inclusive and in multiples of 1/(height of Picture - 1). The value 1 corresponds to the absolute coordinate of height of Picture - 1. The value for first processing window shall be 1.

Definition at line 94 of file hdr_dynamic_metadata.h.

## center_of_ellipse_x

uint16_t AVHDRPlusColorTransformParams::center_of_ellipse_x

The x coordinate of the center position of the concentric internal and external ellipses of the elliptical pixel selector in the processing window.

The value shall be in the range of 0 to (width of Picture - 1), inclusive and in multiples of 1 pixel.

Definition at line 102 of file hdr_dynamic_metadata.h.

## center_of_ellipse_y

uint16_t AVHDRPlusColorTransformParams::center_of_ellipse_y

The y coordinate of the center position of the concentric internal and external ellipses of the elliptical pixel selector in the processing window.

The value shall be in the range of 0 to (height of Picture - 1), inclusive and in multiples of 1 pixel.

Definition at line 110 of file hdr_dynamic_metadata.h.

## rotation_angle

uint8_t AVHDRPlusColorTransformParams::rotation_angle

The clockwise rotation angle in degree of arc with respect to the positive direction of the x-axis of the concentric internal and external ellipses of the elliptical pixel selector in the processing window.

The value shall be in the range of 0 to 180, inclusive and in multiples of 1.

Definition at line 118 of file hdr_dynamic_metadata.h.

## semimajor_axis_internal_ellipse

uint16_t AVHDRPlusColorTransformParams::semimajor_axis_internal_ellipse

The semi-major axis value of the internal ellipse of the elliptical pixel selector in amount of pixels in the processing window.

The value shall be in the range of 1 to 65535, inclusive and in multiples of 1 pixel.

Definition at line 125 of file hdr_dynamic_metadata.h.

## semimajor_axis_external_ellipse

uint16_t AVHDRPlusColorTransformParams::semimajor_axis_external_ellipse

The semi-major axis value of the external ellipse of the elliptical pixel selector in amount of pixels in the processing window.

The value shall not be less than semimajor_axis_internal_ellipse of the current processing window. The value shall be in the range of 1 to 65535, inclusive and in multiples of 1 pixel.

Definition at line 134 of file hdr_dynamic_metadata.h.

## semiminor_axis_external_ellipse

uint16_t AVHDRPlusColorTransformParams::semiminor_axis_external_ellipse

The semi-minor axis value of the external ellipse of the elliptical pixel selector in amount of pixels in the processing window.

The value shall be in the range of 1 to 65535, inclusive and in multiples of 1 pixel.

Definition at line 141 of file hdr_dynamic_metadata.h.

## overlap_process_option

enum AVHDRPlusOverlapProcessOption AVHDRPlusColorTransformParams::overlap_process_option

Overlap process option indicates one of the two methods of combining rendered pixels in the processing window in an image with at least one elliptical pixel selector.

For overlapping elliptical pixel selectors in an image, overlap_process_option shall have the same value.

Definition at line 149 of file hdr_dynamic_metadata.h.

## maxscl

AVRational AVHDRPlusColorTransformParams::maxscl[3]

The maximum of the color components of linearized RGB values in the processing window in the scene.

The values should be in the range of 0 to 1, inclusive and in multiples of 0.00001. maxscl[ 0 ], maxscl[ 1 ], and maxscl[ 2 ] are corresponding to R, G, B color components respectively.

Definition at line 157 of file hdr_dynamic_metadata.h.

## average_maxrgb

AVRational AVHDRPlusColorTransformParams::average_maxrgb

The average of linearized maxRGB values in the processing window in the scene.

The value should be in the range of 0 to 1, inclusive and in multiples of 0.00001.

Definition at line 164 of file hdr_dynamic_metadata.h.

## num_distribution_maxrgb_percentiles

uint8_t AVHDRPlusColorTransformParams::num_distribution_maxrgb_percentiles

The number of linearized maxRGB values at given percentiles in the processing window in the scene.

The maximum value shall be 15.

Definition at line 170 of file hdr_dynamic_metadata.h.

## distribution_maxrgb

AVHDRPlusPercentile AVHDRPlusColorTransformParams::distribution_maxrgb[15]

The linearized maxRGB values at given percentiles in the processing window in the scene.

Definition at line 176 of file hdr_dynamic_metadata.h.

## fraction_bright_pixels

AVRational AVHDRPlusColorTransformParams::fraction_bright_pixels

The fraction of selected pixels in the image that contains the brightest pixel in the scene.

The value shall be in the range of 0 to 1, inclusive and in multiples of 0.001.

Definition at line 183 of file hdr_dynamic_metadata.h.

## tone_mapping_flag

uint8_t AVHDRPlusColorTransformParams::tone_mapping_flag

This flag indicates that the metadata for the tone mapping function in the processing window is present (for value of 1).

Definition at line 189 of file hdr_dynamic_metadata.h.

## knee_point_x

AVRational AVHDRPlusColorTransformParams::knee_point_x

The x coordinate of the separation point between the linear part and the curved part of the tone mapping function.

The value shall be in the range of 0 to 1, excluding 0 and in multiples of 1/4095.

Definition at line 196 of file hdr_dynamic_metadata.h.

## knee_point_y

AVRational AVHDRPlusColorTransformParams::knee_point_y

The y coordinate of the separation point between the linear part and the curved part of the tone mapping function.

The value shall be in the range of 0 to 1, excluding 0 and in multiples of 1/4095.

Definition at line 203 of file hdr_dynamic_metadata.h.

## num_bezier_curve_anchors

uint8_t AVHDRPlusColorTransformParams::num_bezier_curve_anchors

The number of the intermediate anchor parameters of the tone mapping function in the processing window.

The maximum value shall be 15.

Definition at line 209 of file hdr_dynamic_metadata.h.

## bezier_curve_anchors

AVRational AVHDRPlusColorTransformParams::bezier_curve_anchors[15]

The intermediate anchor parameters of the tone mapping function in the processing window in the scene.

The values should be in the range of 0 to 1, inclusive and in multiples of 1/1023.

Definition at line 216 of file hdr_dynamic_metadata.h.

## color_saturation_mapping_flag

uint8_t AVHDRPlusColorTransformParams::color_saturation_mapping_flag

This flag shall be equal to 0 in bitstreams conforming to this version of this Specification.

Other values are reserved for future use.

Definition at line 222 of file hdr_dynamic_metadata.h.

## color_saturation_weight

AVRational AVHDRPlusColorTransformParams::color_saturation_weight

The color saturation gain in the processing window in the scene.

The value shall be in the range of 0 to 63/8, inclusive and in multiples of 1/8. The default value shall be 1.

Definition at line 229 of file hdr_dynamic_metadata.h.

The documentation for this struct was generated from the following file:

- libavutil/hdr_dynamic_metadata.h